//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "fFunc.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TfrmFunc *frmFunc;
//---------------------------------------------------------------------------
__fastcall TfrmFunc::TfrmFunc(TComponent* Owner): TForm(Owner)
{
   Width = 300;
   Height = 300;
   this->Caption = this->ClassName();
   this->Show();
}
//---------------------------------------------------------------------------
void __fastcall TfrmFunc::FormClose(TObject *Sender, TCloseAction &Action)
{
   Action = caFree;
}
//---------------------------------------------------------------------------
void __fastcall TfrmFunc::FormPaint(TObject *Sender)
{
   DoPaint();
}
//---------------------------------------------------------------------------
void __fastcall TfrmFunc::FormResize(TObject *Sender)
{
   DoResize();
}
//---------------------------------------------------------------------------
void __fastcall TfrmFunc::Clear(void)
{
   TRect r = this->ClientRect;
   TestSetting_Brush(this->Color);
   Canvas->FillRect(r);
}
//---------------------------------------------------------------------------
void __fastcall TfrmFunc::TestSetting_Pen(TColor Color, int Width)
{
   Canvas->Pen->Color = Color;
   Canvas->Pen->Width = Width;
   Canvas->Pen->Style = psSolid;
   Canvas->Pen->Mode = pmCopy;
}
//---------------------------------------------------------------------------
void __fastcall TfrmFunc::TestSetting_Brush(TColor Color)
{
   Canvas->Brush->Color = Color;
   Canvas->Brush->Style = bsSolid;
}
//---------------------------------------------------------------------------
void __fastcall TfrmFunc::DrawBitmap(AnsiString FileName)
{
   if(FileExists(FileName)){
      Graphics::TBitmap *b = new Graphics::TBitmap();
      TRect r = this->ClientRect;
      try{
         b->LoadFromFile(FileName);
         Canvas->StretchDraw(r,b);
      }
      __finally{
         delete b;
      }
   }
}
//---------------------------------------------------------------------------
void __fastcall TfrmFunc::DoPaint(void)
{
   //Paint Form Here...
}
//---------------------------------------------------------------------------
void __fastcall TfrmFunc::DoResize(void)
{
   Invalidate();
}
//---------------------------------------------------------------------------

