//---------------------------------------------------------------------------
#pragma hdrstop
#include "fFunc.h"
#include "fFunc2.h"
//---------------------------------------------------------------------------
__fastcall TfrmFuncA::TfrmFuncA(TComponent* Owner): TfrmFunc(Owner)
{
   TRect r = Rect(0,0,Width,Height);
   OffsetRect(&r,+10,+10);
   BoundsRect = r;
}
//---------------------------------------------------------------------------
void __fastcall TfrmFuncA::DoPaint(void)
{
   Clear();
   TestSetting_Pen(clRed,1);
   TestSetting_Brush(this->Color);
   TRect r = this->ClientRect;
   while(true){
      Canvas->Rectangle(r);
      InflateRect(&r,-5,-5);
      if(r.Right-r.Left<1||r.Bottom-r.Top<1)break;
   }
}
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------
__fastcall TfrmFuncB::TfrmFuncB(TComponent* Owner): TfrmFunc(Owner)
{
   TRect r = Rect(0,0,Width,Height);
   OffsetRect(&r,Width+10,+10);
   BoundsRect = r;
}
//---------------------------------------------------------------------------
void __fastcall TfrmFuncB::DoPaint(void)
{
   Clear();
   TestSetting_Pen(clBlue,2);
   TestSetting_Brush(this->Color);
   TRect r = this->ClientRect;
   while(true){
      Canvas->Ellipse(r);
      InflateRect(&r,-6,-6);
      if(r.Right-r.Left<3||r.Bottom-r.Top<3)break;
   }
}
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------
__fastcall TfrmFuncC::TfrmFuncC(TComponent* Owner): TfrmFunc(Owner)
{
   TRect r = Rect(0,0,Width,Height);
   OffsetRect(&r,+10,Height+10);
   BoundsRect = r;
}
//---------------------------------------------------------------------------
void __fastcall TfrmFuncC::SetFileName(AnsiString Value)
{
   if(Value!=FFileName){
      FFileName = Value;
      Invalidate();
   }
}
//---------------------------------------------------------------------------
void __fastcall TfrmFuncC::DoPaint(void)
{
   Clear();
   if(FileExists(FFileName))DrawBitmap(FFileName);
   TestSetting_Pen(clBlack,1);
   TestSetting_Brush(clBlack);
   TRect r = this->ClientRect;
   while(true){
      Canvas->FrameRect(r);
      InflateRect(&r,-5,-5);
      if(r.Right-r.Left<1||r.Bottom-r.Top<1)break;
   }
}
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------
__fastcall TfrmFuncD::TfrmFuncD(TComponent* Owner): TfrmFunc(Owner)
{
   TRect r = Rect(0,0,Width,Height);
   OffsetRect(&r,Width+10,Height+10);
   BoundsRect = r;

   FImage = new TImage(this);
   FImage->Parent = this;
   FImage->Stretch = true;
   FImage->BoundsRect= this->ClientRect;
}
//---------------------------------------------------------------------------
void __fastcall TfrmFuncD::SetFileName(AnsiString Value)
{
   if(Value!=FFileName){
      FFileName = Value;
      if(FileExists(FFileName))FImage->Picture->LoadFromFile(FFileName);
   }
}
//---------------------------------------------------------------------------
void __fastcall TfrmFuncD::DoPaint(void)
{
//Disable Form Painting...
}
//---------------------------------------------------------------------------
void __fastcall TfrmFuncD::DoResize(void)
{
   if(FImage)FImage->BoundsRect= this->ClientRect;
}
//---------------------------------------------------------------------------
#pragma package(smart_init)
